6.0.0-git
2021-01-18

[#8626] lib/Horde/SessionHandler/memcache.php
Summary lib/Horde/SessionHandler/memcache.php
Queue Horde Base
Queue Version 3.3.5
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester whatdoyouwant (at) gmail (dot) com
Created 2009-10-06 (4122 days ago)
Due
Updated 2009-10-07 (4121 days ago)
Assigned
Resolved 2009-10-06 (4122 days ago)
Milestone 3.3.6
Patch No

History
2009-10-07 07:45:15 Jan Schneider Milestone ⇒ 3.3.6
 
2009-10-06 22:22:59 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Fixed in 3.3.6.
2009-10-06 22:22:22 CVS Commit Comment #4 Reply to this comment
2009-10-06 22:19:40 CVS Commit Comment #3 Reply to this comment
2009-10-06 18:40:20 whatdoyouwant (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ lib/Horde/SessionHandler/memcache.php
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
destroy($id) does not return true if successfully deleted the session 
data from memcache.  This can be seen when turning on horde logging to 
DEBUG.  This was also present in 3.3.4



it's checking against false

should check against true like this:

line 253-256 of memcache.php (only line 253 changed to true instead of false):

         if ($result !== true) {

             Horde::logMessage('Failed to delete session (id = ' . $id 
. ')', __FILE__, __LINE__, PEAR_LOG_DEBUG);

             return false;

         }

Saved Queries